// Copyright (C) 2023  Benedikt Zumtobel
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

package cmd

import (
	"fmt"
	"log"

	"github.com/nonce9/pwchadm/internal/pwchadm"
	"github.com/spf13/cobra"
)

var adduserCmd = &cobra.Command{ //nolint:exhaustruct
	Use:   "adduser",
	Short: "Add a new mail user account",
	Long:  `Add a new user to the database and encrypt its mailbox`,
	Args:  cobra.NoArgs,
	Run: func(cmd *cobra.Command, args []string) {
		err := pwchadm.ReadFile(&Cfg, configPath)
		if err != nil {
			log.Fatal(err)
		}

		err = pwchadm.AddUser(&Cfg)
		if err != nil {
			fmt.Println(err) //nolint:forbidigo
		}
	},
}

func init() {
	rootCmd.AddCommand(adduserCmd)
}
